Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Custom Entities

Update Custom Entity Definition

PATCH
/v1/custom-entity-definitions/{id}

Updates the specified custom Entity Definition.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the resource.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

key?string

Stable key used to identify the definition.

name?string

Human-readable name of the definition.

Length1 <= length
schema?

JSON Schema used to validate custom entity data.

Response Body

application/json

curl -X PATCH "https://api.getmateo.com/v1/custom-entity-definitions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "key": "string",  "name": "string",  "schema": {    "property1": null,    "property2": null  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}